List keypairs
curl --request GET \
--url https://api.gcore.com/cloud/v2/keypairs \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v2/keypairs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v2/keypairs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDFHrnwGVBZs6q6vmTBzQFfzdRLQW8N6Rd0ogGe3h8tm83ZJLTTsF+1H4JcOvwI5ETkHMaFIWd2U15nHU5M7plE6UPRKfzy4rq6yI6cE4tojd3A9attMpbEEX7EbGKrbrb4AsjzxHKAVaREAb31ZplJkUlsiees25hTQXBcWQnOESlc9RCxZ/QQgNUUgqm7QGg7CNkL8Mpq9V4YaOhcFGWj0jXP1CL3g6Xe3xJo1CmUbkIOGUyAmrSfLEiy2O91iOUhbmYQyXksznNrT9O6uLkijf6syLZOdyAuUd/Z86eYXej4/YsvIA5eIFU4B6y9zOXEO2A81txPYMRAytYt7+e7 alice@alice",
"shared_in_project": true,
"sshkey_id": "36a7a97a-0672-4911-8f2b-92cd4e5b0d91",
"sshkey_name": "alice",
"created_at": "2022-06-16T17:05:50",
"fingerprint": "86:75:ce:e7:e9:1e:f0:79:ec:6f:d8:92:9b:43:fc:4d",
"private_key": "<private_key>",
"project_id": 1
}
]
}SSH Keys
List keypairs
deprecated
GET
/
cloud
/
v2
/
keypairs
List keypairs
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Project ID. It's required with rights lower than a cloud administrator.
Example:
100
User ID. To use it, you need set project id or use cloud administrator rights.
Example:
5
Was this page helpful?
⌘I